(in-package :snmp)

(defparameter *version* 5.13)

(defparameter *mib-list*
  '(#p"MIB:NET-SNMP;SNMP-COMMUNITY-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-FRAMEWORK-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-MPD-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-NOTIFICATION-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-PROXY-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-TARGET-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-USER-BASED-SM-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-USM-AES-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-USM-DH-OBJECTS-MIB.TXT"
    #p"MIB:NET-SNMP;SNMP-VIEW-BASED-ACM-MIB.TXT"
    #p"MIB:NET-SNMP;SNMPv2-CONF.TXT"
    #p"MIB:NET-SNMP;SNMPv2-MIB.TXT"
    #p"MIB:NET-SNMP;SNMPv2-SMI.TXT"
    #p"MIB:NET-SNMP;SNMPv2-TC.TXT"
    #p"MIB:NET-SNMP;SNMPv2-TM.TXT"
    #p"MIB:NET-SNMP;AGENTX-MIB.TXT"
    #p"MIB:NET-SNMP;BGP4-MIB.TXT"
    #p"MIB:NET-SNMP;BRIDGE-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-EVENT-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-SCHEDULE-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-SCRIPT-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-PING-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-EXPRESSION-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-TRACEROUTE-MIB.TXT"
    #p"MIB:NET-SNMP;DISMAN-NSLOOKUP-MIB.TXT"
    #p"MIB:NET-SNMP;EtherLike-MIB.TXT"
    #p"MIB:NET-SNMP;GNOME-SMI.TXT"
    #p"MIB:NET-SNMP;HCNUM-TC.TXT"
    #p"MIB:NET-SNMP;HOST-RESOURCES-MIB.TXT"
    #p"MIB:NET-SNMP;HOST-RESOURCES-TYPES.TXT"
    #p"MIB:NET-SNMP;IANA-ADDRESS-FAMILY-NUMBERS-MIB.TXT"
    #p"MIB:NET-SNMP;IANA-LANGUAGE-MIB.TXT"
    #p"MIB:NET-SNMP;IANA-RTPROTO-MIB.TXT"
    #p"MIB:NET-SNMP;IANAifType-MIB.TXT"
    #p"MIB:NET-SNMP;IF-INVERTED-STACK-MIB.TXT"
    #p"MIB:NET-SNMP;IF-MIB.TXT"
    #p"MIB:NET-SNMP;INET-ADDRESS-MIB.TXT"
    #p"MIB:NET-SNMP;IP-FORWARD-MIB.TXT"
    #p"MIB:NET-SNMP;IP-MIB.TXT"
    #p"MIB:NET-SNMP;IPV6-FLOW-LABEL-MIB.TXT"
    #p"MIB:NET-SNMP;IPV6-ICMP-MIB.TXT"
    #p"MIB:NET-SNMP;IPV6-MIB.TXT"
    #p"MIB:NET-SNMP;IPV6-TC.TXT"
    #p"MIB:NET-SNMP;IPV6-TCP-MIB.TXT"
    #p"MIB:NET-SNMP;IPV6-UDP-MIB.TXT"
    #p"MIB:NET-SNMP;LM-SENSORS-MIB.TXT"
    #p"MIB:NET-SNMP;MTA-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-AGENT-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-EXAMPLES-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-EXTEND-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-TC.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-VACM-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-SYSTEM-MIB.TXT"
    #p"MIB:NET-SNMP;NET-SNMP-MONITOR-MIB.TXT"
    #p"MIB:NET-SNMP;NETWORK-SERVICES-MIB.TXT"
    #p"MIB:NET-SNMP;NOTIFICATION-LOG-MIB.TXT"
    #p"MIB:NET-SNMP;OSPF-MIB.TXT"
    #p"MIB:NET-SNMP;OSPF-TRAP-MIB.TXT"
    #p"MIB:NET-SNMP;RIPv2-MIB.TXT"
    #p"MIB:NET-SNMP;RMON-MIB.TXT"
    #p"MIB:NET-SNMP;SMUX-MIB.TXT"
    #p"MIB:NET-SNMP;SOURCE-ROUTING-MIB.TXT"
    #p"MIB:NET-SNMP;TCP-MIB.TXT"
    #p"MIB:NET-SNMP;TRANSPORT-ADDRESS-MIB.TXT"
    #p"MIB:NET-SNMP;TUNNEL-MIB.TXT"
    #p"MIB:NET-SNMP;UCD-DEMO-MIB.TXT"
    #p"MIB:NET-SNMP;UCD-DISKIO-MIB.TXT"
    #p"MIB:NET-SNMP;UCD-DLMOD-MIB.TXT"
    #p"MIB:NET-SNMP;UCD-IPFWACC-MIB.TXT"
    #p"MIB:NET-SNMP;UCD-SNMP-MIB.TXT"
    #p"MIB:NET-SNMP;UCD-IPFILTER-MIB.TXT"
    #p"MIB:NET-SNMP;UDP-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-LISPWORKS-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-ALLEGRO-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-CMUCL-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-SBCL-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-CLOZURE-MIB.TXT"
    #p"SNMP:SERVER;MIB;LISP-CL-HTTP-MIB.TXT"))

